Endpoints API

Manage monitoring endpoints programmatically.

List endpoints

GET /api/v1/websites/:websiteId/endpoints

Get an endpoint

GET /api/v1/endpoints/:id

Create an endpoint

POST /api/v1/websites/:websiteId/endpoints

{
  "name": "Homepage",
  "url": "https://example.com",
  "type": "HTTP",
  "method": "GET",
  "interval": 60,
  "timeout": 30,
  "enabled": true,
  "headers": [
    {"key": "Accept", "value": "application/json"}
  ]
}

Update an endpoint

PUT /api/v1/endpoints/:id

{
  "interval": 30,
  "enabled": false
}

Delete an endpoint

DELETE /api/v1/endpoints/:id

Endpoint object

{
  "id": "ep_abc123",
  "website_id": "ws_xyz789",
  "name": "Homepage",
  "url": "https://example.com",
  "type": "HTTP",
  "method": "GET",
  "interval": 60,
  "timeout": 30,
  "enabled": true,
  "group": "Frontend",
  "headers": [],
  "body": null,
  "created_at": "2025-01-01T00:00:00Z"
}

Supported types

Valid values for the type field: HTTP, HTTPS, TCP, DNS, ICMP, SSH.